org.apache.lucene.index

## Class CheckIndex.Status.SegmentInfoStatus

- java.lang.Object
- - org.apache.lucene.index.CheckIndex.Status.SegmentInfoStatus

- Enclosing class:
    CheckIndex.Status

      public static class CheckIndex.Status.SegmentInfoStatus
      extends java.lang.Object

  Holds the status of each segment in the index. See `CheckIndex.Status.segmentInfos`.

  WARNING: this API is new and experimental and is subject to suddenly change in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `compound` True if segment is compound file format.
    `java.lang.String` | `deletionsFileName` Name of the current deletions file name.
    `java.util.Map` | `diagnostics` Map<String, String> that includes certain debugging details that IndexWriter records into each segment it creates
    `int` | `docCount` Document count (does not take deletions into account).
    `boolean` | `docStoreCompoundFile` True if the shared doc store files are compound file format.
    `int` | `docStoreOffset` Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments.
    `java.lang.String` | `docStoreSegment` String of the shared doc store segment, or null if this segment does not share the doc store files.
    `CheckIndex.Status.FieldNormStatus` | `fieldNormStatus` Status for testing of field norms (null if field norms could not be tested).
    `boolean` | `hasDeletions` True if this segment has pending deletions.
    `boolean` | `hasProx` True if at least one of the fields in this segment does not omitTermFreqAndPositions.
    `java.lang.String` | `name` Name of the segment.
    `int` | `numDeleted` Number of deleted documents.
    `int` | `numFiles` Number of files referenced by this segment.
    `boolean` | `openReaderPassed` True if we were able to open a SegmentReader on this segment.
    `double` | `sizeMB` Net size (MB) of the files referenced by this segment.
    `CheckIndex.Status.StoredFieldStatus` | `storedFieldStatus` Status for testing of stored fields (null if stored fields could not be tested).
    `CheckIndex.Status.TermIndexStatus` | `termIndexStatus` Status for testing of indexed terms (null if indexed terms could not be tested).
    `CheckIndex.Status.TermVectorStatus` | `termVectorStatus` Status for testing of term vectors (null if term vectors could not be tested).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentInfoStatus()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      Name of the segment.

    - #### docCount

          public int docCount

      Document count (does not take deletions into account).

    - #### compound

          public boolean compound

      True if segment is compound file format.

    - #### numFiles

          public int numFiles

      Number of files referenced by this segment.

    - #### sizeMB

          public double sizeMB

      Net size (MB) of the files referenced by this segment.

    - #### docStoreOffset

          public int docStoreOffset

      Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments. This is -1 if it does not share.

    - #### docStoreSegment

          public java.lang.String docStoreSegment

      String of the shared doc store segment, or null if this segment does not share the doc store files.

    - #### docStoreCompoundFile

          public boolean docStoreCompoundFile

      True if the shared doc store files are compound file format.

    - #### hasDeletions

          public boolean hasDeletions

      True if this segment has pending deletions.

    - #### deletionsFileName

          public java.lang.String deletionsFileName

      Name of the current deletions file name.

    - #### numDeleted

          public int numDeleted

      Number of deleted documents.

    - #### openReaderPassed

          public boolean openReaderPassed

      True if we were able to open a SegmentReader on this segment.

    - #### hasProx

          public boolean hasProx

      True if at least one of the fields in this segment does not omitTermFreqAndPositions.
      See Also:
        `AbstractField.setOmitTermFreqAndPositions(boolean)`

    - #### diagnostics

          public java.util.Map diagnostics

      Map<String, String> that includes certain debugging details that IndexWriter records into each segment it creates

    - #### fieldNormStatus

          public CheckIndex.Status.FieldNormStatus fieldNormStatus

      Status for testing of field norms (null if field norms could not be tested).

    - #### termIndexStatus

          public CheckIndex.Status.TermIndexStatus termIndexStatus

      Status for testing of indexed terms (null if indexed terms could not be tested).

    - #### storedFieldStatus

          public CheckIndex.Status.StoredFieldStatus storedFieldStatus

      Status for testing of stored fields (null if stored fields could not be tested).

    - #### termVectorStatus

          public CheckIndex.Status.TermVectorStatus termVectorStatus

      Status for testing of term vectors (null if term vectors could not be tested).

  - ### Constructor Detail

    - #### SegmentInfoStatus

          public SegmentInfoStatus()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.